/*
    This file is part of the 'yarec' package.
    Copyright (C) 1998  Ralf W. Stephan <stephan@tmt.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA or
    check our pages at http://www.gnu.org
*/
#include "util/util.h"
#include "ui/uiHandler.h"
#include "snd/soundHandler.h"

int main (int argc, char** argv)
{
  int r, b, c;

  UIHandler_init();
  Config_init (&argc, &argv);
  
  UIHandler_change_to_gui_if_possible();

  r = Config_iget("SOUND_SPEED");
  b = Config_iget("SOUND_BITS");
  c = Config_iget("SOUND_CHANNELS");

  SoundHandler_init (&r, &b, &c, Config_iget("RECORDING"));

  Config_iset("SOUND_SPEED", r);
  Config_iset("SOUND_BITS", b);
  Config_iset("SOUND_CHANNELS", c);
  
  SoundHandler_close();      /* opened later again when needed */

  UIHandler_rbc (r, b, c);
  UIHandler_takes_over();
  
  /* not reached */
  return 1;
}


